\begin{tikzpicture}[scale=1.75]
    \tikzstyle{vertex}=[fill=white, very thin, inner sep=1pt, outer sep=0pt, font=\normalsize]
    \tikzstyle{selected vertex} = [vertex, draw=FRcolor, thick]
    \tikzstyle{selected edge} = [draw,line width=3pt,->,gray, opacity=0.7]
    \tikzstyle{edge} = [draw,-,black]
    \tikzstyle{pedge} = [draw,-stealth,black, shorten >=2pt, opacity=0.5]
    \tikzstyle{selected vertex on} = [alt=#1{selected vertex}{}]
    \tikzstyle{vertex on} = [alt=#1{vertex}{}]

    \pgfmathsetmacro\sidelength{1.2}
    \pgfmathsetmacro\backx{-0.5}
    \pgfmathsetmacro\backy{0.866}
    \pgfmathsetmacro\transferx{2*\sidelength}
    \pgfmathsetmacro\transfery{0}

    \pgfmathsetmacro\vax{0}
    \pgfmathsetmacro\vay{0}
    \pgfmathsetmacro\vbx{\vax + \sidelength}
    \pgfmathsetmacro\vby{\vay}
    \pgfmathsetmacro\vcx{\vax + \backx}
    \pgfmathsetmacro\vcy{\vay + \backy}
    \pgfmathsetmacro\vdx{\vcx + \sidelength}
    \pgfmathsetmacro\vdy{\vcy}
    \pgfmathsetmacro\vex{\vax}
    \pgfmathsetmacro\vey{\vay + \sidelength}
    \pgfmathsetmacro\vfx{\vbx}
    \pgfmathsetmacro\vfy{\vey}
    \pgfmathsetmacro\vgx{\vcx}
    \pgfmathsetmacro\vgy{\vcy + \sidelength}
    \pgfmathsetmacro\vhx{\vdx}
    \pgfmathsetmacro\vhy{\vgy}
    \pgfmathsetmacro\vix{\vax + \transferx}
    \pgfmathsetmacro\viy{\vay + \transfery}
    \pgfmathsetmacro\vjx{\vix + \sidelength}
    \pgfmathsetmacro\vjy{\viy}
    \pgfmathsetmacro\vkx{\vix + \backx}
    \pgfmathsetmacro\vky{\viy + \backy}
    \pgfmathsetmacro\vlx{\vkx + \sidelength}
    \pgfmathsetmacro\vly{\vky}
    \pgfmathsetmacro\vmx{\vix}
    \pgfmathsetmacro\vmy{\viy + \sidelength}
    \pgfmathsetmacro\vnx{\vjx}
    \pgfmathsetmacro\vny{\vmy}
    \pgfmathsetmacro\vox{\vkx}
    \pgfmathsetmacro\voy{\vky + \sidelength}
    \pgfmathsetmacro\vpx{\vlx}
    \pgfmathsetmacro\vpy{\voy}
    \node[selected vertex] (v0) at (\vax,\vay) {$\emptyset$};
    \node[selected vertex] (v1) at (\vbx,\vby) {$\{\hmodd\}$};
    \node[selected vertex] (v2) at (\vcx,\vcy) {$\{\hmodc\}$};
    \node[selected vertex] (v3) at (\vdx,\vdy) {$\{\hmodc, \hmodd\}$};
    \node[selected vertex] (v4) at (\vex,\vey) {$\{\hmodb\}$};
    \node[selected vertex] (v5) at (\vfx,\vfy) {$\{\hmodb, \hmodd\}$};
    \node[vertex] (v6) at (\vgx,\vgy) {$\{\hmodb, \hmodc\}$};
    \node[vertex] (v7) at (\vhx,\vhy) {$\{\hmodb, \hmodc, \hmodd\}$};
    \node[selected vertex] (v8) at (\vix,\viy) {$\{\hmoda\}$};
    \node[selected vertex] (v9) at (\vjx,\vjy) {$\{\hmoda, \hmodd\}$};
    \node[selected vertex] (v10) at (\vkx,\vky) {$\{\hmoda, \hmodc\}$};
    \node[selected vertex] (v11) at (\vlx,\vly) {$\{\hmoda, \hmodc, \hmodd\}$};
    \node[selected vertex] (v12) at (\vmx,\vmy) {$\{\hmoda, \hmodb\}$};
    \node[selected vertex] (v13) at (\vnx,\vny) {$\{\hmoda, \hmodb, \hmodd\}$};
    \node[selected vertex] (v14) at (\vox,\voy) {$\{\hmoda, \hmodb, \hmodc\}$};
    \node[selected vertex] (v15) at (\vpx,\vpy) {$\mUni$};

    \begin{scope}[on background layer]
        %\draw[step=1cm,gray,very thin] (-2,-2) grid (3,3);
        \draw[pedge] (v0) -- (v1);
        \draw[pedge] (v0) -- (v2);
        \draw[pedge] (v0) -- (v4);
        \draw[pedge] (v0.south) to[bend right, looseness=0.35, pedge] (v8.south);

        \draw[pedge] (v1) -- (v3);
        \draw[pedge] (v1) -- (v5);
        \draw[pedge] (v1) to[bend right, looseness=0.35, pedge] (v9);

        \draw[pedge] (v2) -- (v3);
        \draw[pedge] (v2) -- (v6);
        \draw[pedge] (v2) to[bend right, looseness=0.35, pedge] (v10);

        \draw[pedge] (v4) -- (v5);
        \draw[pedge] (v4) -- (v6);
        \draw[pedge] (v4) to[bend left, looseness=0.35, pedge] (v12);

        \draw[pedge] (v8) -- (v9);
        \draw[pedge] (v8) -- (v10);
        \draw[pedge] (v8) -- (v12);

        \draw[pedge] (v3) -- (v7);
        \draw[pedge] (v3) to[bend right, looseness=0.35, pedge] (v11);

        \draw[pedge] (v5) -- (v7);
        \draw[pedge] (v5) to[bend left, looseness=0.35, pedge] (v13);

        \draw[pedge] (v9) -- (v11);
        \draw[pedge] (v9) -- (v13);

        \draw[pedge] (v6) -- (v7);
        \draw[pedge] (v6) to[bend left, looseness=0.35, pedge] (v14);

        \draw[pedge] (v10) -- (v11);
        \draw[pedge] (v10) -- (v14);

        \draw[pedge] (v12) -- (v13);
        \draw[pedge] (v12) -- (v14);

        \draw[pedge] (v7) to[bend left, looseness=0.35, pedge] (v15);
        \draw[pedge] (v11) -- (v15);
        \draw[pedge] (v13) -- (v15);
        \draw[pedge] (v14) -- (v15);

        %\draw[selected edge] (v6) to[] (v2);
        %\draw[selected edge] (v6) to[] (v4);
        %\draw[selected edge] (v7) to[] (v5);
        %\draw[selected edge] (v7) to[] (v3);
        %\draw[selected edge, dashed] (v6) to[bend left, looseness=0.37] (v14);
        %\draw[selected edge, dashed] (v7) to[bend left, looseness=0.37] (v15);
    \end{scope}
\end{tikzpicture}
